| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiVisColTabEd Class Reference
uiVis

`#include <uiviscoltabed.h>`

Inheritance diagram for uiVisColTabEd:
[legend]

## Public Member Functions
| uiVisColTabEd (uiColorTable &)
| ~uiVisColTabEd ()
void | clipperChanged (CallBacker *)
void | colorTabChgdCB (CallBacker *)
void | colseqChanged (CallBacker *)
uiColorTable & | colTab ()
void | fillPar (IOPar &)
int | getChannel () const
const ColTab::MapperSetup & | getColTabMapperSetup () const
const ColTab::Sequence & | getColTabSequence () const
RefMan< visBase::DataObject > | getDataObj ()
ConstRefMan< visBase::DataObject > | getDataObj () const
NotifierAccess & | mapperChange ()
NotifierAccess & | seqChange ()
void | setColTab (const ColTab::Sequence *, bool editseq, const ColTab::MapperSetup *, bool edittrans)
void | setColTab (visSurvey::SurveyObject *, int ch, int version)
void | setDefaultColTab ()
void | setHistogram (const TypeSet< float > *)
bool | usePar (const IOPar &)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static const char * | sKeyAutoScale ()
static const char * | sKeyClipRate ()
static const char * | sKeyColorSeq ()
static const char * | sKeyScaleFactor ()
static const char * | sKeySymmetry ()
static const char * | sKeySymMidval ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | mapperChangeCB (CallBacker *)
void | removeAllVisCB (CallBacker *)

## Protected Attributes
int | channel_
WeakPtr< visBase::DataObject > | dataobj_
uiColorTable & | uicoltab_
int | version_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiVisColTabEd()

uiVisColTabEd::uiVisColTabEd | ( | uiColorTable & |  | ) |

## ◆ ~uiVisColTabEd()

uiVisColTabEd::~uiVisColTabEd | ( |  | ) |

## Member Function Documentation

## ◆ clipperChanged()

void uiVisColTabEd::clipperChanged | ( | CallBacker * |  | ) |

## ◆ colorTabChgdCB()

void uiVisColTabEd::colorTabChgdCB | ( | CallBacker * |  | ) |

## ◆ colseqChanged()

void uiVisColTabEd::colseqChanged | ( | CallBacker * |  | ) |

## ◆ colTab()

uiColorTable & uiVisColTabEd::colTab | ( |  | ) |
| inline

## ◆ fillPar()

void uiVisColTabEd::fillPar | ( | IOPar & |  | ) |

## ◆ getChannel()

int uiVisColTabEd::getChannel | ( |  | ) | const
| inline

## ◆ getColTabMapperSetup()

const ColTab::MapperSetup & uiVisColTabEd::getColTabMapperSetup | ( |  | ) | const

## ◆ getColTabSequence()

const ColTab::Sequence & uiVisColTabEd::getColTabSequence | ( |  | ) | const

## ◆ getDataObj() [1/2]

RefMan< visBase::DataObject > uiVisColTabEd::getDataObj | ( |  | ) |

## ◆ getDataObj() [2/2]

ConstRefMan< visBase::DataObject > uiVisColTabEd::getDataObj | ( |  | ) | const

## ◆ mapperChange()

NotifierAccess & uiVisColTabEd::mapperChange | ( |  | ) |

## ◆ mapperChangeCB()

void uiVisColTabEd::mapperChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ removeAllVisCB()

void uiVisColTabEd::removeAllVisCB | ( | CallBacker * |  | ) |
| protected

## ◆ seqChange()

NotifierAccess & uiVisColTabEd::seqChange | ( |  | ) |

## ◆ setColTab() [1/2]

void uiVisColTabEd::setColTab | ( | const ColTab::Sequence * | ,
|  | bool | editseq,
|  | const ColTab::MapperSetup * | ,
|  | bool | edittrans )

## ◆ setColTab() [2/2]

void uiVisColTabEd::setColTab | ( | visSurvey::SurveyObject * | ,
|  | int | ch,
|  | int | version )

## ◆ setDefaultColTab()

void uiVisColTabEd::setDefaultColTab | ( |  | ) |

## ◆ setHistogram()

void uiVisColTabEd::setHistogram | ( | const TypeSet< float > * |  | ) |

## ◆ sKeyAutoScale()

static const char * uiVisColTabEd::sKeyAutoScale | ( |  | ) |
| static

## ◆ sKeyClipRate()

static const char * uiVisColTabEd::sKeyClipRate | ( |  | ) |
| static

## ◆ sKeyColorSeq()

static const char * uiVisColTabEd::sKeyColorSeq | ( |  | ) |
| static

## ◆ sKeyScaleFactor()

static const char * uiVisColTabEd::sKeyScaleFactor | ( |  | ) |
| static

## ◆ sKeySymmetry()

static const char * uiVisColTabEd::sKeySymmetry | ( |  | ) |
| static

## ◆ sKeySymMidval()

static const char * uiVisColTabEd::sKeySymMidval | ( |  | ) |
| static

## ◆ usePar()

bool uiVisColTabEd::usePar | ( | const IOPar & |  | ) |

## Member Data Documentation

## ◆ channel_

int uiVisColTabEd::channel_
| protected

## ◆ dataobj_

WeakPtr<visBase::DataObject> uiVisColTabEd::dataobj_
| protected

## ◆ uicoltab_

uiColorTable& uiVisColTabEd::uicoltab_
| protected

## ◆ version_

int uiVisColTabEd::version_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025